Skip to main content
GET
/
live
/
{source}
/
resources
/
{resource_id}
Fetch one resource live
curl --request GET \
  --url https://api.hyperspell.com/live/{source}/resources/{resource_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hyperspell.com/live/{source}/resources/{resource_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hyperspell.com/live/{source}/resources/{resource_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "documents": [
    {
      "resource_id": "<string>",
      "type": "<string>",
      "document": {
        "type": "document",
        "id": "<string>",
        "metadata": {
          "sources": [
            {
              "chunk_id": "<string>",
              "resource_id": "<string>",
              "source": "<string>",
              "score": 123
            }
          ],
          "edited_by": "<string>"
        },
        "text": "<string>",
        "children": [
          {
            "mimetype": "<string>",
            "data": "<string>",
            "type": "blob",
            "id": "<string>",
            "metadata": {
              "sources": [
                {
                  "chunk_id": "<string>",
                  "resource_id": "<unknown>",
                  "source": "<unknown>",
                  "score": "<unknown>"
                }
              ],
              "edited_by": "<string>"
            }
          }
        ],
        "title": "<string>"
      },
      "title": "<string>",
      "collection": "<string>",
      "metadata": {},
      "ingested_at": "2023-11-07T05:31:56Z",
      "last_modified_at": "2023-11-07T05:31:56Z",
      "document_date": "2023-11-07T05:31:56Z"
    }
  ],
  "indexed": false,
  "notes": [
    "<string>"
  ]
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.

Path Parameters

source
enum<string>
required
Available options:
reddit,
notion,
slack,
google_calendar,
google_mail,
box,
dropbox,
github,
google_drive,
vault,
web_crawler,
trace,
microsoft_teams,
gmail_actions,
granola,
fathom,
fireflies,
linear,
hubspot,
salesforce,
coda,
lightfield,
gong,
pylon,
clickup
resource_id
string
required

Query Parameters

index
boolean
default:false

Also queue this resource for indexing.

connection_id
string | null

Specific connection id.

Response

Successful Response

A fetch/search result: the live documents plus what happened to them.

documents
DocumentResponse · object[]
required
indexed
boolean
default:false
notes
string[]